package jdbernard.timestamper;

import java.util.Date;
import java.util.Scanner;

public class Test {
  public static void main(String[] args) throws Exception {

    Timeline t = new Timeline();
    String choice;
    Scanner in = new Scanner(System.in);

    boolean loop = true;

    while(loop) {
      System.out.println("[N]ew Timestamp, [S]ave, [L]oad, [P]rint, [Q]uit: ");
      choice = in.nextLine();
      String filename;

      switch (choice.toLowerCase().charAt(0)) {
        case 'n':
          System.out.println("Enter time (HH:mm:ss) ");
          Date d = new Date();
          d.setHours(0);
          d.setMinutes(0);
          d.setSeconds(0);
          d.setTime(d.getTime() + Timeline.shortFormat.parse(in.nextLine()).getTime());

          System.out.println("Enter mark ('EOM' to end) ");
          String line = "";
          StringBuilder mark = new StringBuilder();
          line = in.nextLine();
          while (!line.endsWith("EOM")) {
            mark.append(line);
            line = in.nextLine();
          }
          mark.append(line.substring(0, line.length() - 3));

          System.out.println("Enter notes ('EON' to end) ");
          StringBuilder notes = new StringBuilder();
          line = in.nextLine();
          while (!line.endsWith("EON")) {
            notes.append(line);
            line = in.nextLine();
          }
          notes.append(line.substring(0, line.length() - 3));

          t.addMarker(d, mark.toString(), notes.toString());
          break;

        case 's':
          System.out.print("Enter filename to save: ");
          filename = in.nextLine();

          Timeline.writeToFile(filename, t);
          break;

        case 'l':
          System.out.println("Enter filename to load: ");
          filename = in.nextLine();

          t = Timeline.readFromFile(filename);
          break;

        case 'p':
          Timeline.writeToStream(System.out, t);
          break;

        case 'q':
          loop = false;
          break;

        default:
      }
    }
  }
}
